Opened 2 months ago

Closed 7 weeks ago

#1288 closed Bug / Defect (fixed)

deprecate "topology net30" in 2.5, remove in 2.6

Reported by: Gert Döring Owned by: Gert Döring
Priority: major Milestone: release 2.5
Component: Networking Version: OpenVPN git master branch (Community Ed)
Severity: Not set (select this one, unless your'e a OpenVPN developer) Keywords:
Cc: Antonio, David Sommerseth, tincantech

Description

add warning to 2.5 "if server && top net30 = this will go away!"

decide on the specific message ("in a future release" or "in a year" or "in 2.6")

decide on depreciation point

Change History (4)

comment:1 Changed 2 months ago by David Sommerseth

It was agreed in the OpenVPN community developers meeting June 10, 2020 to add this deprecation warning in OpenVPN 2.5:

"Topology net30 support will be removed in a future release. Please migrate to topology subnet as soon as possible"

comment:2 Changed 2 months ago by tincantech

Cc: tincantech added

comment:4 Changed 7 weeks ago by Gert Döring

Resolution: fixed
Status: assignedclosed

commit 02a0332084f0dc08e39067cc6fd68abb77a03c47 (HEAD -> master)
Author: Gert Doering <gert@…>
Date: Sat Jun 20 20:05:32 2020 +0200

Depreciation warning for --topology net30 on servers with IPv4 pools.

Note: See TracTickets for help on using tickets.